Bug 428223 - crash while in Page Preview/Format Page
crash while in Page Preview/Format Page
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 19:31 EST by Charles R. Anderson
Modified: 2008-03-04 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 10:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-01-09 19:31:18 EST
Description of problem:

Calc crashed while I was in Page Preview mode.  I was switching in/out of Page
Preview, then to Format->Page, then back to Page Preview.  I then discovered
that I could access Format->Page directly from the Print Preview.  It did this a
few times, then a weird 2x4 inch block of grey appeared which wouldn't go away.
 It stuck to the same spot on the desktop, always on top.  It was like a
window/dialog/menu that wouldn't go away or something.  After that, I moved Calc
from the left Xinerama monitor to the right one (leaving that grey block back
where it first appeared), and then tried to access the Format Page button on the
Page Preview screen again, and this is where it crashed.

Version-Release number of selected component (if applicable):
2.3.0-6.5.fc7

How reproducible:
didn't try
  
Actual results:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Reloading /usr/lib/xorg/modules/drivers//radeon_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-27.fc7-i386
(V)    kernel is: Linux 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007 i686
i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.5.fc7-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 7 (Moonshine)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x00a9033c: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2133c
0x00a90cfb: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21cfb
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x00e429fe: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x4d9fe (GtkSalFrame::Dispatch(_XEvent const*) + 0x60)
0x00e20986: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2b986 (GtkSalDisplay::filterGdkEvent(void*, _GdkEvent*, void*) + 0xfa)
0x00e209e8: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2b9e8 (call_filterGdkEvent + 0x20)
0x0438fc31: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x3dc31
0x043913bc: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x3f3bc
0x04392feb: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x40feb
0x043933ef: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x413ef
0x008077f2: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2b7f2 (g_main_context_dispatch
+ 0x182)
0x0080a7cf: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2e7cf
0x0080ad35: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2ed35
(g_main_context_iteration + 0x65)
0x00e1f7f6: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2a7f6 (GtkXLib::Yield(bool, bool) + 0xae)
0x00ed9e59: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6ee59 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x054ea8ab: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1968ab (Application::Yield(bool) + 0x57)
0x0560cfb3: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2b8fb3 (Dialog::Execute() + 0x95)
0x0772dd13: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x374d13 (SfxTabDialog::Execute() + 0x3d)
0x024ab8ed: 0x000899a0: /usr/lib/openoffice.org/program/libscui680li.so + 0x1e8ed
0x04951e63: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x570e63
(ScDocShell::ExecutePageStyle(SfxViewShell&, SfxRequest&, short) + 0x111)
0x049c72d7: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x5e62d7
(ScPreviewShell::Execute(SfxRequest&) + 0x147)
0x049c7663: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x5e6663
(SfxStubScPreviewShellExecute(SfxShell*, SfxRequest&) + 0x1d)
0x076ae671: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f5671 (SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) + 0xf)
0x076ad1a2: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f41a2 (SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned char) + 0x330)
0x076ad577: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f4577 (SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned short) + 0x14d)
0x076a61c7: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2ed1c7 (SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) + 0x2e9)
0x076c3209: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x30a209 (SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener>
const&) + 0x6f7)
0x076c36fe: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x30a6fe (SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xb6)
0x07ad8cbb: 0x0027f23c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x131cbb
0x0616be99: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3ce99
(Link::Call(void*) const + 0x1b)
0x05674cf2: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x320cf2 (ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) +
0xc5a)
0x00e43af9: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x4eaf9 (SalFrame::CallCallback(unsigned short, void const*) const + 0x23)
0x00ed4512: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x69512 (SalDisplay::DispatchInternalEvent() + 0x78)
0x00e20adf: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2badf (GtkXLib::userEventFn(void*) + 0x95)
0x00e20b1a: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2bb1a (call_userEventFn + 0x1a)
0x00805a91: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x29a91
0x008077f2: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2b7f2 (g_main_context_dispatch
+ 0x182)
0x0080a7cf: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2e7cf
0x0080ad35: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2ed35
(g_main_context_iteration + 0x65)
0x00e1f7dc: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2a7dc (GtkXLib::Yield(bool, bool) + 0x94)
0x00ed9e59: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6ee59 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x054ea8ab: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1968ab (Application::Yield(bool) + 0x57)
0x054ea969: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x196969 (Application::Execute() + 0x2b)
0x0616822b: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3922b
(desktop::Desktop::Main() + 0x15fb)
0x054ef43b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19b43b (ImplSVMain() + 0x49)
0x054ef551: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19b551 (SVMain() + 0x2d)
0x0616188e: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3288e
(main + 0xe2)
0x49d16f70: 0x0014fd7c: /lib/libc.so.6 + 0x15f70 (__libc_start_main + 0xe0)
0x080484c1: 0x000006d8: /usr/lib/openoffice.org/program/scalc.bin + 0x4c1 (main
+ 0x5d)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x00138000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x0030a000)
	libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x0030f000)
	libdl.so.2 => /lib/libdl.so.2 (0x0032c000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00331000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x00349000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00418000)
	libm.so.6 => /lib/libm.so.6 (0x00503000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0052c000)
	libc.so.6 => /lib/libc.so.6 (0x00538000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x0068c000)
	/lib/ld-linux.so.2 (0x49ce2000)
...end sample ldd details ...
Comment 1 Jon Stanley 2008-01-10 00:41:40 EST
I tried to reproduce this and I am unable to.  I made a ultra-simple
spreadsheet, used and closed out of Page Preview approximately 5 times, going to
Format->Page in between.  I then stayed in Page Preview, and went to
Format->Page about another 5 times, and the behavior was consistently as
expected.  A difference from your setup is that I do not have a dual-head setup,
but I don't think that would be an issue here.

Please attempt to reproduce this bug, and let me know if you are able to.  It
would be helpful if you could install teh openoffice.org-debuginfo package in
order to gather some additional debugging details (I think that it would use
debuginfo in the stack trace there - someone correct me if I'm wrong)
Comment 2 Caolan McNamara 2008-03-04 10:29:32 EST
I can't reproduce it either, and F-7 is getting quite old. If anyone can
reproduce this esp. on F8/F9 please reopen with details.

Note You need to log in before you can comment on or make changes to this bug.